Skip to content
EN

生成歌曲(拼接歌曲)

方法: POST路径: /suno/submit/concat

  1. 先生成音乐(2首

  2. 续写又得到音乐(2首

  3. 把要续写的音乐id 给放这,拼接得到完整音乐

请求参数

Header 参数

text
Content-Type
string
可选
示例:
application/json
Accept
string
可选
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
clip_id
string
必需
extend 后的 歌曲ID
is_infill
boolean
可选
示例
{
"clip_id"
:
"extend 后的 歌曲ID"
,
"is_infill"
:
false
}

请求示例代码

Shell

bash
curl --location --request POST '/suno/submit/concat' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "clip_id": "extend 后的 歌曲ID",
  "is_infill": false
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
code
string
必需
message
string
必需
data
string
task_id
必需

示例

json
{
    "code": "success",
    "message": "",
    "data": "736a6f88-bd29-4b1e-b110-37132a5325ac"
}